"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const restify_1 = require("./src/adapters/restify");
const restify_errors_1 = __importDefault(require("restify-errors"));
const server = new restify_1.RestifyServerAdapter({
    mapBodyToParams: true,
    mapQueryToParams: true,
});
server.get('/', (request, response, next) => {
    next(new restify_errors_1.default.BadGatewayError());
}, async (request, response, next) => {
    response.setCookie('test', 'test');
    response.json({
        message: 'Hello world',
    });
    next();
});
server.listen(3000, () => {
    console.log('Server is online');
});
