"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpResponse = void 0;
const HttpObject_1 = require("./HttpObject");
class HttpResponse extends HttpObject_1.HttpObject {
    constructor() {
        super();
        this.body = '';
        this.statusCode = 200;
    }
    send(body) {
        if (!this.getHeader('content-type')) {
            this.setHeader('content-type', 'text/html');
        }
        this.body = body;
        return this;
    }
    json(body) {
        this.setHeader('content-type', 'application/json');
        this.body = body;
        return this;
    }
    status(status) {
        this.statusCode = status;
    }
    sendStatus(status) {
        this.statusCode = status;
        this.body = '';
        return this;
    }
}
exports.HttpResponse = HttpResponse;
