"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
const os_1 = require("os");
class Server {
    constructor(config) {
        this.config = config || {};
        this.config.uploadDir = config?.uploadDir || (0, os_1.tmpdir)();
    }
    setErrorHandler(onError) {
        this.onError = onError;
    }
    get(path, ...middlewares) {
        this.on('get', path, middlewares);
    }
    post(path, ...middlewares) {
        this.on('post', path, middlewares);
    }
    put(path, ...middlewares) {
        this.on('put', path, middlewares);
    }
    patch(path, ...middlewares) {
        this.on('patch', path, middlewares);
    }
    del(path, ...middlewares) {
        this.on('delete', path, middlewares);
    }
    opts(path, ...middlewares) {
        this.on('options', path, middlewares);
    }
}
exports.Server = Server;
